Subject: Re: apache PHP segmentation fault
From: Sam Edge <[email-masked]>
To: [email-masked]
Date: Wed, 08 May 2002 15:51:20 +0100

Stipe Tolj wrote in <[email-masked]>
in gmane.os.cygwin on Wed, 08 May 2002 15:16:35 +0200:

> in general you should avoid to run in -X, because apache's developers
> are not any longer worrying about that flag, at least not
> significantly.

I don't in general. Usually I have it running as a cygrunsrv service
with the -k switch. I was just trying to see whether the problem was
related to certain modes of operation. It appears that it isn't.

> I haven't seen such effects. Could you please check if the postinstall
> script of php did run successfully, it should reside in
> /etc/postinstall/php*.

	$ ls /etc/postinstall/*php*
	/etc/postinstall/apache-php.sh.done

/usr/lib/apache/new contains just rebase.exe.
/usr/lib/apache contains libphp4.dll size 1126912 bytes.

/etc/apache/httpd.conf has
	LoadModule php4_module lib/apache/libphp4.dll
after all other LoadModule lines and
	AddModule mod_php4.c
after all other AddModule lines.

I'll try uninstall/reinstall of the PHP package and I'll pay attention
to the postinstall.

-- 
Sam Edge

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/